Subject: RE: FVWM: how to have window with no borders at all?

From: [email-masked]
Date: Fri, 15 Oct 1999 13:44:57 -0700

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> On Wed, Oct 13, 1999 at 04:56:31PM -0700, [email-masked] wrote:
> >   I use fvwm2 (on solaris) and there is this program aterm
> (basically
> > transparent xterm).
> >
> >   how do I configure fvwm to diplay aterm with title and
> all buttons but no
> > borders whatsoever?
>
>   Style aterm HandleWidth 0
...
> I've played a bit with aterm 0.3.6 and the transparency seems
> to be badly
> broken.  If the window has a border and is moved the
> background immediately
> gets the border coulour.  There are lots of other strange effects too.
> I got the transparent borderless window working withouth a
> problem though.
> I recommend you put the style
>
>   Style aterm HandleWidth 0
>
> in your config file so that the window never gets a border at all.
> This should be reported to the aterm developers.

  how come the window behaviour changes depending on whether it has borders
or not? I thought that the border and titles are supplied by window manager
and that the application itself does not (generally) know anything about
these things. it looks like the second part of that assumption is not right,
right?

  I get similar behaviour - transparency works fine with borders, does not
work without borders (either the whole window or parts where there is some
text are no longer transparent).

  anybody knows a good implementation of transparent xterm-clone? (I intend
to use it on solaris).

  TIA

	erik

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Sat, 16 Oct 1999 12:39:47 +0200

> these things. it looks like the second part of that assumption is not right,

Wrong.  All your assumptions are right :-)  However, if the application
really wants to, it can find out about the frame and the border
(FvwmButtons is one of these naughty applications).  To answer your
initial question: I don't know.  Aterm seems to be quite buggy since
its behaviour seems to be random.

>   anybody knows a good implementation of transparent xterm-clone? (I intend

Try rxvt.  It's implementation of transparency was copied by most
(probably all) terminal emulators that have it.  I spent some time
discussing/debugging that feature with rxvt's authors and it should
work well now (but make sure you have the latest version!).

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].